| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DurabilityQosPolicy Class Reference

This policy expresses if the data should ‘outlive’ their writing time. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for DurabilityQosPolicy:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | DurabilityQosPolicy ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~DurabilityQosPolicy ()=default
| Destructor.
fastdds::rtps::DurabilityKind_t | durabilityKind () const
| Translates kind to rtps layer equivalent.
bool | operator== (const DurabilityQosPolicy &b) const
void | durabilityKind (const fastdds::rtps::DurabilityKind_t new_kind)
| Set kind passing the rtps layer equivalent kind.
void | clear () override
| Clears the QosPolicy object.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

DurabilityQosPolicyKind_t | kind
| DurabilityQosPolicyKind.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

This policy expresses if the data should ‘outlive’ their writing time.

Note
  Immutable Qos Policy

## Constructor & Destructor Documentation

## ◆ DurabilityQosPolicy()

FASTDDS_EXPORTED_API DurabilityQosPolicy | ( |  | ) |

inline

Constructor.

## ◆ ~DurabilityQosPolicy()

virtual FASTDDS_EXPORTED_API ~DurabilityQosPolicy | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ durabilityKind() [1/2]

fastdds::rtps::DurabilityKind_t durabilityKind | ( |  | ) | const

inline

Translates kind to rtps layer equivalent.

Returns
  fastdds::rtps::DurabilityKind_t

## ◆ durabilityKind() [2/2]

void durabilityKind | ( | const fastdds::rtps::DurabilityKind_t | new_kind | ) |

inline

Set kind passing the rtps layer equivalent kind.

Parameters

  new_kind | fastdds::rtps::DurabilityKind_t

## ◆ operator==()

bool operator== | ( | const DurabilityQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ kind

DurabilityQosPolicyKind_t kind

DurabilityQosPolicyKind.

By default the value for DataReaders: VOLATILE_DURABILITY_QOS, for DataWriters TRANSIENT_LOCAL_DURABILITY_QOS

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp